<?php
/**
 * Created by PhpStorm.
 * User: robin
 * Date: 11/24/15
 * Time: 12:56 PM
 */

namespace App\Http\Business\Cameras;

use App\Http\DBO\CamerasDbo;
use Imagine\Image\Box;
use Imagine\Image\Palette\RGB;
use Imagine\Image\Point;

class DummyCamera extends AbstractCamera
{

    public function __construct(CamerasDbo $camera)
    {
        parent::__construct($camera);
        $this->_image = $this->_imagine->open("../resources/images/dummy_camera.jpg");
    }

    public function prepareImage()
    {
        $draw = $this->_image->draw();
        $palette = new RGB();
        $radius = rand(10, 42);
        $draw->ellipse(new Point(42, 42), new Box($radius, $radius), $palette->color('#ff0000'));
    }
}