<?php
/**
 * Created by PhpStorm.
 * User: robin
 * Date: 11/24/15
 * Time: 12:53 AM
 */

namespace app\Http\DBO;


use Luticate\Utils\LuDbo;

class SensorsValueDbo extends LuDbo
{
    private $_value;

    /**
     * @return mixed
     */
    public function getValue()
    {
        return $this->_value;
    }

    /**
     * @param mixed $value
     */
    public function setValue($value)
    {
        $this->_value = $value;
    }

    /**
     * Specify data which should be serialized to JSON
     * @link http://php.net/manual/en/jsonserializable.jsonserialize.php
     * @return mixed data which can be serialized by <b>json_encode</b>,
     * which is a value of any type other than a resource.
     * @since 5.4.0
     */
    function jsonSerialize()
    {
        return [
            "Value" => $this->_value
        ];
    }
}