<?php
/**
 * Created by PhpStorm.
 * User: robin
 * Date: 11/24/15
 * Time: 12:03 AM
 */

namespace App\Http\Business\Commands;

use App\Http\DBO\CommandsDbo;

abstract class AbstractCommand
{
    /**
     * @var CommandsDbo
     */
    protected $_command;

    public function __construct(CommandsDbo $command)
    {
        $this->_command = $command;
    }

    /**
     * @return bool
     */
    public abstract function exec();
}